#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tree-diff
version:              0.2.1.1
visibility:           public
id:                   tree-diff-0.2.1.1-Gs3LVVYxn811g4XjhPdlpy
key:                  tree-diff-0.2.1.1-Gs3LVVYxn811g4XjhPdlpy
license:              GPL-2.0-or-later
copyright:            (c) 2017-2021 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/tree-diff
synopsis:             Diffing of (expression) trees.
description:
    Common diff algorithm works on list structures:

    @
    diff :: Eq a => [a] -> [a] -> [Edit a]
    @

    This package works on trees.

    @
    treeDiff :: Eq a => Tree a -> Tree a -> Edit (EditTree a)
    @

    This package also provides a way to diff arbitrary ADTs,
    using @Generics@-derivable helpers.

    This package differs from <http://hackage.haskell.org/package/gdiff gdiff>,
    in a two ways: @tree-diff@ doesn'\''t have patch function,
    and the "edit-script" is a tree itself, which is useful for pretty-printing.

    @
    >>> prettyEditExpr $ ediff (Foo 42 [True, False] "old") (Foo 42 [False, False, True] "new")
    Foo
    \  {fooBool = [-True, +False, False, +True],
    \   fooInt = 42,
    \   fooString = -"old" +"new"}
    @

category:             Data, Testing
abi:                  be5ba31c82993a79c2c1d09d93d3ea77
exposed:              True
exposed-modules:
    Data.TreeDiff Data.TreeDiff.Class Data.TreeDiff.Expr
    Data.TreeDiff.Golden Data.TreeDiff.List Data.TreeDiff.OMap
    Data.TreeDiff.Parser Data.TreeDiff.Pretty Data.TreeDiff.QuickCheck
    Data.TreeDiff.Tree

import-dirs:          /usr/lib/ghc-9.0.2/site-local/tree-diff-0.2.1.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/tree-diff-0.2.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tree-diff
hs-libraries:         HStree-diff-0.2.1.1-Gs3LVVYxn811g4XjhPdlpy
depends:
    QuickCheck-2.14.2-9XV9O7HSttLDBHWdDvT99R
    aeson-1.5.6.0-AKViGrmijRVB0tE3IZiiOh
    ansi-terminal-0.11.3-4sOL9w5QIphDlJIIpaWFJL
    ansi-wl-pprint-0.6.9-J38Hi5Z6ALfKDwm9oxcbks base-4.15.1.0
    base-compat-0.12.1-Jgs1a6JPC25AMVxb7dCwve bytestring-0.10.12.1
    containers-0.6.4.1 deepseq-1.4.5.0
    hashable-1.4.0.2-HaS0gz7DKZl5hgkyH0eShz parsec-3.1.14.0
    parsers-0.12.11-IVi1jsTzxk1DWqvTPY4GEa pretty-1.1.3.6
    primitive-0.7.4.0-E4MrerHTNw2LkW7cPHJms9
    scientific-0.3.7.0-KYI5HiTASyWGKyiBTJ4XLr
    semialign-1.2.0.1-CckndIwkqlP9YDxkjJPadN
    strict-0.4.0.1-Goyp9IKOGfPLbGHeQ93OW7
    tagged-0.8.6.1-79gYUUazit6EfoPS33FHdR text-1.2.5.0
    these-1.1.1.1-1RZSBBlZcWJIXgrujm0oTm time-1.9.3
    unordered-containers-0.2.19.1-DzqMNL8SmsvLUZuXVD6UYJ
    uuid-types-1.0.5-8K4dUh6VK1NKJGWdvesvFA
    vector-0.12.3.1-DWLcs41oUpGB6FR7Q3d3DL

haddock-interfaces:   /usr/share/doc/haskell-tree-diff/html/tree-diff.haddock
haddock-html:         /usr/share/doc/haskell-tree-diff/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

